<?PHP
/*
This is a Simfatic Forms Extension Module

This extension module posts the form data to another script

Note that this module requires some advanced programming concepts. See if you can make the modifications and get it working. Else, get help from a programmer.

### Steps
Open the module and update the url and the vaues to send to the next form. Make sure you are sending all the variables that the other script is expecting.

*/
class PosttoAnotherForm extends FM_ExtensionModule
{
        /*
          FormSubmitted() function is called after all the processing in the form is completed. 
          So at this point, the form data is validated, emails are sent, saved to db(if enabled).
        */
        
        function  FormSubmitted(&$formvars)
        {
            $url = 'https://yourwebsite.com/workshop_invoice.php';
            $values =array(
				'pa_salutation' => $formvars['pi_salutation'],
				'pa_firstname' => $formvars['pi_firstname'],
				'pa_lastname' => $formvars['pi_lastname'],
				'pa_address' => $formvars['pi_address'], 
				'pa_zipcode' => $formvars['pi_zipcode'], 
				'pa_city' => $formvars['pi_city'], 
				'pa_country' => $formvars['pi_country'], 
				'pa_email' => $formvars['pi_email'],
				'pa_workshops' => implode("",$formvars['chosen_workshops'])
		);
		
            //Now post the data using 'curl'
            $postvars='';
            foreach($values as $n => $v)
            {
               $val = strval($v);
               $postvars .= "$n=$val&";
            }
			
            // Prepare new cURL resource
            $ch = curl_init($url);
            curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);  
            curl_setopt($ch, CURLOPT_POST, 1);
            curl_setopt($ch, CURLOPT_POSTFIELDS, $postvars);
            curl_setopt($ch, CURLOPT_FOLLOWLOCATION, 1);
            curl_setopt($ch, CURLOPT_HEADER, 0);
            curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);

            // Submit the POST request
            $response = curl_exec($ch);
            $this->logger->LogInfo("Response from remote post, $response");
            return true;
            
            // Close cURL session handle
            curl_close($ch);  
        }
}
?>
